Bug 22782 - Schema change for SocialData
Summary: Schema change for SocialData
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
: 22096 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-04-26 12:12 UTC by Nick Clemens
Modified: 2019-05-17 13:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Bug 22782: DBIC update for SocialData (1.99 KB, patch)
2019-05-10 12:17 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-04-26 12:12:12 UTC
If you regenerate the schema on stretch you get a change to SocialData

I haven't committed it because I didn't kow where it came from, I don't believe it will affect anything, but wanted to document the change at the least

To recreate:
On debian 9 run misc/devel/update_dbix_class_files.pl
(devbox or koha testing docker just do dbic)
Note the change
Verify all works with this change
Comment 1 Jonathan Druart 2019-04-26 22:05:01 UTC
*** Bug 22096 has been marked as a duplicate of this bug. ***
Comment 2 Jonathan Druart 2019-04-26 22:06:50 UTC
My bet would be a change in DBIx::Class::Schema::Loader, however I did not find it.

social_data.isbn is a varchar and used as PK, so cannot be NULL, I guess that's why it has a default ''.
Comment 3 Jonathan Druart 2019-04-26 22:07:50 UTC
Also note that "show create table" will display the NOT NULL constraint:

  `isbn` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL,

It looks safe to commit, and better to fix the kohastructure.sql as well.
Comment 4 Nick Clemens 2019-05-10 12:17:45 UTC
Created attachment 89539 [details] [review]
Bug 22782: DBIC update for SocialData
Comment 5 Nick Clemens 2019-05-10 12:18:26 UTC
Trivial, just leaving here for reference
Comment 6 Nick Clemens 2019-05-10 12:25:18 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-05-17 13:30:52 UTC
Pushed to 18.11.x for 18.11.06